Foreman - Bug #2680

Unable to provisioning host using Ul - vSphere 4.1.0
06/19/2013 11:07 AM - Lucas E Holm

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Host creation

Target version: 1.3.2

Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hi,

Im unable to provision a new host using Ul - vSphere 4.1.0.
Please let me know if there is a known solution.

FOREMAN: 1.2.0
RUBY: ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-1inux]
PUPPET: 3.2.2

Started POST "/hosts/compute_resource_selected" for 10.8.0.42 at 2013-06-19 14:43:55 +0000
Processing by HostsController#compute_resource_selected as */*

Parameters: {"utf8"=>"[", "authenticity_token"=>"4riyLz3XRAgbpaNiTm504iH/uC2heApoYhodDezNR8U=",
"host"=>{"name"=>"newhostname", "compute_resource_id"=>"1", "hostgroup_id"=>"", "environment_id"=>
"', "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "mac"=>"", "do
main_id"=>"", "ip"=>"",6 "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>
"Nic::Managed", "mac"=>"", "name"=>"", "domain_id"=>"", "ip"=>"",6 "provider"=>"IPMI"}}, "architect
ure_id"=>"", "provision_method"=>"build", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is
_owned_by"=>"", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}}

[Im[35mUser Load (0.4ms) [Om SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1 [["i
a", 171
Setting current user thread-local variable to admin

[Im[36mOrganization Load (0.3ms) [Om [ImSELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomie
s"."type" IN ('Organization') AND "taxonomies"."id" IS NULL LIMIT 1[Om

[Im[35mLocation Load (0.2ms) [0m SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."typ
e" IN ('Location') AND "taxonomies"."id" IS NULL LIMIT 1
Setting current organization thread-local variable to none
Setting current location thread-local variable to none

[Im[36mComputeResource Load (0.3ms) [Om [1mSELECT "compute_resources".* FROM "compute_resources"

WHERE "compute_resources"."id" = 1 ORDER BY compute_resources.name LIMIT 1[Om
[Im[35mComputeResource Exists (0.5ms) [Om SELECT 1 AS one FROM "compute_resources" WHERE ("compu
te_resources"."name" = 'dmzhoster' AND "compute_resources"."id" != 1) LIMIT 1

Rendered compute_resources_vms/form/_vmware.html.erb (39.8ms)
Rendered hosts/_compute.html.erb (547.5ms)
Setting current location thread-local variable to none
Setting current organization thread-local variable to none
Operation FAILED: undefined method “stringify_keys' for #<RbVmomi::VIM:0x000000096d1e48>

Related issues:

Related to Foreman - Bug #2612: VirtualMachine Tab empty when trying to creat... Closed 06/04/2013
Related to Foreman - Bug #8619: undefined method “stringify_keys' for #<RbVmo... Resolved 12/09/2014
Related to Foreman - Bug #10336: foreman-rake prints "Workaround for RoVmomi ... Closed 04/30/2015
Has duplicate Foreman - Bug #3612: Editing host after an compute associate en... Duplicate 11/08/2013

Associated revisions
Revision 58547fc6 - 11/20/2013 02:45 PM - Dominic Cleal

fixes #2680 - ensure RbVmomi::VIM::ComputeResource is loaded before our ComputeResource

Revision 6ac6dc87 - 11/20/2013 03:11 PM - Dominic Cleal

fixes #2680 - ensure RbVmomi::VIM::ComputeResource is loaded before our ComputeResource

(cherry picked from commit 58547fc6413965e8491d72eb308e95caa3952dff)

History

#1 - 06/19/2013 11:13 AM - Dominic Cleal
- Status changed from New to Feedback
Is this an RPM or Debian installation? If it's an RPM one, can you please apply this update and patch, then test again?

http:/koji.katello.org/koji/getfile ?tasklD=39206&name=ruby 193-rubygem-rbvmomi-1.6.0-1.el6.noarch.rpm

https://github.com/theforeman/foreman/pull/730.patch

Both came from #2612 and will part of RC3, needed to fix a few VMware build issues.

#2 - 06/19/2013 11:47 AM - Lucas E Holm
- File production_after_patch.log added

CentOS RPM installation. | applied both and got similar result. Please see attached log. Thanks.

#3 - 06/19/2013 12:38 PM - Dominic Cleal

Could you try something a little hacky please?

edit /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.6.0/lib/rbvmomi/deserialization.rb and on line 183, change it to this, adding a single line in:

elsif t == BasicTypes::ManagedObjectReference
File.open ("/tmp/log", "a") { |[f| f.write("type: #{xml['type'l}, obj: #{Qconn.type (xml['type'])}, ancest
ors: #{Q@conn.type(xml['type']).ancestors}\n") }
Qconn.type (xml['type']) .new @conn, xml.text

Then re-test and attach /tmp/log?

#4 - 06/19/2013 01:30 PM - Lucas E Holm
- File tmp-log.txt added

Went ahead and did the magic, but unfortunately same result. /tmp/log attached.

#5 - 06/19/2013 01:39 PM - Dominic Cleal
- Status changed from Feedback to Assigned

Thanks Lucas, that debug contained all the info | needed.

This is very similar to #2612 in that rbovmomi is finding the "ComputeResource" class from Foreman rather than its own "ComputeResource" class and
then failing.

#6 - 06/19/2013 01:41 PM - Dominic Cleal

- Assignee changed from Dominic Cleal to Anonymous

#7 - 06/19/2013 01:44 PM - Dominic Cleal

Relevant code:
https:/github.com/vmware/rbvmomi/blob/master/lib/rbvmomi/deserialization.rb#L 185
(this tries to load the string "ComputeResource", see the /tmp/log file above)

https://github.com/vmware/rbvmomi/blob/master/lib/rbvmomi/connection.rb#L 211
(this instantiates it using const_get, which must be loading our ComputeResource instead)

#8 - 06/20/2013 11:46 AM - Anonymous

Lucas Ursin-Holm: how easily can you reproduce this? | assume this happens after Foreman restart and stays like that? Are you running in rails
development or production environment? If it's easier for you, we can chat on the irc: I'm witlessb on #theforeman and #theforeman-dev.
http://koji.katello.org/koji/getfile?taskID=39206&name=ruby193-rubygem-rbvmomi-1.6.0-1.el6.noarch.rpm
https://github.com/theforeman/foreman/pull/730.patch
https://projects.theforeman.org/issues/2612
https://projects.theforeman.org/issues/2612
https://github.com/vmware/rbvmomi/blob/master/lib/rbvmomi/deserialization.rb#L185
https://github.com/vmware/rbvmomi/blob/master/lib/rbvmomi/connection.rb#L211

#9 - 06/26/2013 04:07 AM - Dominic Cleal

- Status changed from Assigned to Need more information

#10 - 07/02/2013 07:21 AM - Dominic Cleal
- Target version deleted (1.2.0)

#11 - 07/12/2013 11:17 AM - Ben Fairless

| have the same issue, using VMware 5.1

| can post error logs if necessary, although it sounds like you guys have already identified the issue.

#12 - 07/12/2013 11:21 AM - Anonymous

Could you post steps to reproduce this and conditions under which this error occurs? | couldn't reproduce the issue in our lab.

#13 - 07/15/2013 04:33 AM - Ben Fairless
- File 1-new_compute_resource.PNG added
- File 2-vsphere_instance_list. PNG added

- File 3-new_host.PNG added

- File 4-virtual_machine_error.PNG added

Using Foreman version 1.2.0 downloaded onto Red Hat Enterprise Linux 6.4 from the official repositories. Our VMware vCenter is running version
5.1.0, Rbvmobi is version 1.6.0 and Fog is version 1.11.1.

As you can see from the uploaded screenshots, Fog has no problem logging into the VMware host initially and is able to get the correct fingerprint.
However it is not able to display a list of machines currently running on the host.

In screenshot 3, as soon as you select 'Deploy on' and choose the VMware host the 'Virtual Machine' tab appears and then goes red. Screenshot 4
displays the (not particularly helpful) error message.

#14 - 07/15/2013 04:38 AM - Ben Fairless

Also, this is not a problem if I log into the VMware host machine itself, where everything appears to work fine. This problem is related only to vSphere
vCenter.

#15 - 07/15/2013 04:43 AM - Ben Fairless
- File 5-esxi_host _instance_list. PNG added

| spoke too soon. When you log directly into the host machine, the list of Virtual Machines is displayed (which does not happen with the vSphere).
However, the 'Virtual Machine' tab still produces the same error on attempting to provisiona new machine.

#16 - 07/22/2013 10:45 AM - Ben Fairless
Operation FAILED: undefined method “stringify_keys' for #<RbVmomi::VIM:0x0000000879fab0>
This appears in production.log when | select VMware from the 'Deploy On' dropdown.
#17 - 09/27/2013 12:33 AM - Anne Hopkins
Has any further progress been made on this issue? Any further information needed?
| get the same error when adding a Host and choosing 'Deploy On' to VMWare ESXi 5.1.0.
Log snippet:
Rendered compute_resources_vms/form/_vmware.html.erb (235.8ms)
Rendered hosts/_compute.html.erb (524.2ms)
Operation FAILED: undefined method ‘stringify_keys' for #&lt;RbVmomi::VIM:0x007£94590700e0&gt;

Rendered common/500.html.erb (4.3ms)
Completed 500 Internal Server Error in 536ms (Views: 4.7ms | ActiveRecord: 0.2ms)

#18 - 11/06/2013 04:57 PM - Xavier ROUX
- File foreman-debug-MX9bY.tar.xz added

Hello,

05/16/2024 3/9



| have the same issue on a new install.

OS: CentOS 6.4

Puppet: 3.3.1 from PuppetLabs repo

Foreman: 1.3.0 from Foreman repo

Installation of Foreman and Puppet with foreman-installer-1.3.0

Add foreman-vmware-1.3.0 from Foreman repo

Foreman uses its default postgrey database in production environment

VMWare ESXi-5.0.0
The Virtual Machines appear correctly from "Compute Ressources" page in Provisionning menu.
When | create a new host and | select "Deploy on": "ESX-Neos" then the tab "Virtual Machine" becomes red with this error: "Internal Server Error"
In production.log :
Started POST "/hosts/compute_resource_selected" for 172.16.70.169 at 2013-11-06 17:44:13 +0100
Processing by HostsController#compute_resource_selected as */*
Parameters: {"utf8"=>"a", "authenticity_token"=>"hLhZkG8KcHUwc+F1VENY6dRIVIRx+HWPn3vngw5gT1lQ=", "host"=>{"na
me"=>"", "hostgroup_id"=>"", "compute_resource_id"=>"1", "environment_id"=>"", "puppet_ca_proxy_id"=>"", "pupp

et_proxy_id"=>"", "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "mac"=>"", "
domain_id"=>"", "ip"=>"", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Mana

ged", "mac"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"", "provisio
n_method"=>"build", "build"=>"1", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"", "enabled"=>"1", "m
odel_id"=>"", "comment"=>"", "overwrite"=>"false"}}

User Load (0.3ms) SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1 [r"id", 111
Setting current user thread-local variable to admin
Organization Load (0.3ms) SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."type" IN ('Organizati

on') AND "taxonomies"."id" IS NULL LIMIT 1
Location Load (0.3ms) SELECT "taxonomies".* FROM "taxonomies" WHERE "taxonomies"."type" IN ('Location') AND
"taxonomies"."id" IS NULL LIMIT 1

Setting current organization thread-local variable to none

Setting current location thread-local variable to none

ComputeResource Load (0.4ms) SELECT "compute_resources".* FROM "compute_resources" WHERE "compute_resources
"."id" = 1 ORDER BY compute_resources.name LIMIT 1

ComputeResource Exists (0.3ms) SELECT 1 AS one FROM "compute_resources" WHERE ("compute_resources"."name" =

'ESX-Neos' AND "compute_resources"."id" != 1) LIMIT 1

Rendered compute_resources_vms/form/_vmware.html.erb (151.4ms)

Rendered hosts/_compute.html.erb (214.1ms)
Setting current location thread-local variable to none
Setting current organization thread-local variable to none
Operation FAILED: undefined method ‘stringify_keys' for #<RbVmomi::VIM:0x007fflad4ff33c0>
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/attribute_assignment.rb:69:in “a
ssign_attributes'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/base.rb:498:in “initialize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:183:in " new'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:183:in “deserialize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:162:in “block in deseria
lize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:162:in “map'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:162:in “deserialize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1lib/rbvmomi/deserialization.rb:174:in “block in deseria
lize'
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1lib/nokogiri/xml/node_set.rb:239:in "block in each'
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1ib/nokogiri/xml/node_set.rb:238:in “upto’
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1lib/nokogiri/xml/node_set.rb:238:in “each'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:170:in “deserialize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1lib/rbvmomi/deserialization.rb:174:in “block in deseria
lize'
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1lib/nokogiri/xml/node_set.rb:239:in "block in each'
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1ib/nokogiri/xml/node_set.rb:238:in “upto’
/opt/rh/rubyl93/root/usr/share/gems/gems/nokogiri-1.5.6/1lib/nokogiri/xml/node_set.rb:238:in “each'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/deserialization.rb:170:in “deserialize'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1lib/rbvmomi/connection.rb:68:in "block in parse_respons
e A}
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/connection.rb:68:in “map'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/connection.rb:68:in 'parse_response'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/connection.rb:90:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6
/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6
nit'

.0/1lib/rbvmomi/basic_types.rb:203:in " _call'
.0/1ib/rbvmomi/basic_types.rb:74:in “block (2 levels) in i

/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1ib/rbvmomi/basic_types.rb:183:in " _get_property'

/opt/rh/rubyl93/root/usr/share/gems/gems/rbvmomi-1.6.0/1lib/rbvmomi/basic_types.rb:35:in ‘block (2 levels) in i
nit'

05/16/2024 4/9



/opt/rh/rubyl93/root/usr/share/gems/gems/fog-1.15.0/1ib/fog/vsphere/requests/compute/list_clusters.rb:14:in "r
aw_clusters'
/opt/rh/rubyl93/root/usr/share/gems/gems/fog-1.15.0/1ib/fog/vsphere/requests/compute/list_clusters.rb:8:in " 1i
st_clusters'
/opt/rh/rubyl93/root/usr/share/gems/gems/fog-1.15.0/1ib/fog/vsphere/models/compute/clusters.rb:15:in “all'
/opt/rh/rubyl93/root/usr/share/gems/gems/fog-1.15.0/1ib/fog/core/collection.rb:141:in “lazy_load'
/opt/rh/rubyl93/root/usr/share/gems/gems/fog-1.15.0/1ib/fog/core/collection.rb:22:in "empty?'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_options_helper.rb:588:1
n “to_select_tag'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_options_helper.rb:157:1
n “select'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_options_helper.rb:642:1i
n "~ select'
/usr/share/foreman/app/helpers/layout_helper.rb:108:in "block in selectable_f'
/usr/share/foreman/app/helpers/layout_helper.rb:130:in ‘block (2 levels) in field'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in “blo
ck in capture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:187:in “wi
th_output_buffer'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in " cap
ture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/tag_helper.rb:95:in "~content
_tag’
/usr/share/foreman/app/helpers/layout_helper.rb:129:in “block in field'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in “blo
ck in capture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:187:in “wi
th_output_buffer'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in "cap
ture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/tag_helper.rb:95:in "~content
_tag’
/usr/share/foreman/app/helpers/layout_helper.rb:124:in “field'
/usr/share/foreman/app/helpers/layout_helper.rb:107:in "selectable_f'
/usr/share/foreman/app/views/compute_resources_vms/form/_vmware.html.erb:5:in ' _app_views_compute_resources_vm
s_form__vmware_html_erb_ 1676832231301556305_70337912650140"'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:125:in “instr
ument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "“render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_renderer.rb:265:in
‘render_partial'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_renderer.rb:238:1in
"block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in
"block in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in “block
in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/instrumenter.rb:
20:1in "instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in "instr
ument '
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_renderer.rb:38:in
“instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_renderer.rb:237:1in
“render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:41:in "“render_p
artial'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:15:in "render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/helpers/rendering_helper.rb:24:in “r
ender'
/usr/share/foreman/app/views/hosts/_compute.html.erb:4:in “block in _app_views_hosts__compute_html_erb_ 221709
6130425522334_69999640"
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in “blo
ck in capture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:187:in “wi
th_output_buffer'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/capture_helper.rb:40:in "cap
ture'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/helpers/form_helper.rb:607:in " field
s_for'
/usr/share/foreman/app/views/hosts/_compute.html.erb:1:in *_app_views_hosts__compute_html_erb_ 221709613042552
2334_69999640"'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:145:in “block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:125:in "instr
ument '
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/template.rb:143:in "render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/partial_renderer.rb:265:in
‘render_partial'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_renderer.rb:238:in
"block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/abstract_renderer.rb:38:1in
"block in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in “block
in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/instrumenter.rb:
20:in " instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in "instr
ument '
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in
“instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/partial_renderer.rb:237:in
“render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_view/renderer/renderer.rb:41:in "render_p
artial'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:15:in "render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/rendering.rb:110:in °_render
_template'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/streaming.rb:225:in "_re
nder_template'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/rendering.rb:103:in "render_
to_body'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/renderers.rb:28:in "“rend
er_to_body'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/compatibility.rb:50:in
render_to_body'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/rendering.rb:88:in 'render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rendering.rb:16:in "rend
er'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:40:in
"block (2 levels) in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark.rb:5:in "bl
ock in ms'
/opt/rh/rubyl93/root/usr/share/ruby/benchmark.rb:295:in “realtime'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/core_ext/benchmark.rb:5:in “ms
L}
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:40:1in
"block in render'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:83:in
‘cleanup_view_runtime'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/railties/controller_runtime.rb:2
4:in ‘cleanup_view_runtime'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:39:1in
“render'
/usr/share/foreman/app/controllers/hosts_controller.rb:131:in “block in compute_resource_selected'
/usr/share/foreman/app/models/taxonomy.rb:55:in “block (2 levels) in as_taxonomy'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:143:in “as_location'
/usr/share/foreman/app/models/taxonomy.rb:54:in “block in as_taxonomy'
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:108:in “as_org'
/usr/share/foreman/app/models/taxonomy.rb:53:in "~as_taxonomy'
/usr/share/foreman/app/controllers/hosts_controller.rb:130:in "~ compute_resource_selected'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in
“send_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/base.rb:167:in 'process_acti
on'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rendering.rb:10:in "“proc
ess_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb:18:in “block in
process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:549:in “block (3
levels) in _run_ 465092147706093094__ process_action_ 819735105344631194_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:in “block in
_conditional_callback_around_4553"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:326:in “around'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:310:in ' _callback
_around_743"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:in "_conditio
nal_callback_around_4553"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:526:in “block (2
levels) in _run_ 465092147706093094__ process_action_ 819735105344631194_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:in “block in
_conditional_callback_around_4552"
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in ‘clear_thread'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:in '_conditio
nal_callback_around_4552"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:415:in “block in
_run__465092147706093094__process_action_ 819735105344631194_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:215:in "block in
_conditional_callback_around_4551"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:326:in “around'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:310:in " _callback
_around_13"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:214:in ' _conditio
nal_callback_around_4551"
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:414:in ' _run__ 465
092147706093094__process_action_ 819735105344631194_ callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:in "__run_cal
lback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:in ' _run_proc
ess_action_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:81:in “run_callba
cks'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/abstract_controller/callbacks.rb:17:in ‘process_
action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/rescue.rb:29:in “process
_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:30:1in
"block in process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in “block
in instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications/instrumenter.rb:
20:1in "instrument'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/notifications.rb:123:in "instr
ument '
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/instrumentation.rb:29:in
‘process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal/params_wrapper.rb:207:in
‘process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/railties/controller_runtime.rb:1l
8:in “process_action'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.
“dispatch'

.8/1ib/abstract_controller/base.rb:121:in ‘process'
.8/1lib/abstract_controller/rendering.rb:45:in “process'
.8/1lib/action_controller/metal.rb:203:in “dispatch’
.8/1lib/action_controller/metal/rack_delegation.rb:14:in

NN DN DN

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_controller/metal.rb:246:in "block in acti
on'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb:73:in “call
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb:73:in “disp
atch'

/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb:36:in “call
L}

/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:68:in “block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:1in “each'
/opt/rh/rubyl93/root/usr/share/gems/gems/journey-1.0.4/1ib/journey/router.rb:56:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/routing/route_set.rb:600:in ‘cal
1

/opt/rh/rubyl93/root/usr/share/gems/gems/apipie-rails—0.0.23/1lib/apipie/static_dispatcher.rb:56:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_suppor
t.rb:17:in “call'

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/etag.rb:23:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/conditionalget.rb:35:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/head.rb:14:in ‘call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/params_parser.rb:21:1
n “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/flash.rb:242:in “call
L}

/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/session/abstract/id.rb:205:in " context'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/session/abstract/id.rb:200:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/cookies.rb:339:in ‘ca
11"

/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/query_cache.rb:64:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/activerecord-3.2.8/1lib/active_record/connection_adapters/abstract/con
nection_pool.rb:473:in “call’

05/16/2024 7/9



/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/callbacks.rb:28:in b
lock in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:in *_run_ 514
499275219926981__call_ _4593317503708142472__callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:405:in "__run_cal
lback'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:385:in '_run_call
_callbacks'
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/callbacks.rb:81:in “run_callba
cks'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/callbacks.rb:27:in "¢
all'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/remote_ip.rb:31:in “c
all'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/debug_exceptions.rb:1l
6:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/show_exceptions.rb:56
:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/rack/logger.rb:26:in “call_app'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/rack/logger.rb:16:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/request_id.rb:22:in
call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/methodoverride.rb:21:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/runtime.rb:17:in “call’
/opt/rh/rubyl93/root/usr/share/gems/gems/activesupport-3.2.8/1lib/active_support/cache/strategy/local_cache.rb:
72:in “call!
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/lock.rb:15:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/actionpack-3.2.8/1lib/action_dispatch/middleware/static.rb:62:in “call
L}
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1lib/rack/cache/context.rb:136:in "~ forward'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:143:in “pass'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1ib/rack/cache/context.rb:155:in “invalidate'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-cache-1.2/1lib/rack/cache/context.rb:71:in “call!'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack—-cache-1.2/1lib/rack/cache/context.rb:51:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/engine.rb:479:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/application.rb:223:in ‘call’
/opt/rh/rubyl93/root/usr/share/gems/gems/railties-3.2.8/1lib/rails/railtie/configurable.rb:30:in ‘method_missin
gl
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/builder.rb:134:in “call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1ib/rack/urlmap.rb:64:in “block in call'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/urlmap.rb:49:in ‘“each'
/opt/rh/rubyl93/root/usr/share/gems/gems/rack-1.4.1/1lib/rack/urlmap.rb:49:in “call'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/1ib/phusion_passenger/rack/thread_handler_extension.rb:77:in "“proc
ess_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/1ib/phusion_passenger/request_handler/thread_handler.rb:140:in "ac
cept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/1ib/phusion_passenger/request_handler/thread_handler.rb:108:in ‘ma
in_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/1ib/phusion_passenger/request_handler.rb:441:in “block (3 levels)
in start_threads'

Rendered common/500.html.erb (8.5ms)
Completed 500 Internal Server Error in 232ms (Views: 9.3ms | ActiveRecord: 0.3ms)

#19 - 11/07/2013 12:14 PM - Dominic Cleal
- Status changed from Need more information to Ready For Testing
- Target version setto 1.15.0

- Assignee changed from Anonymous to Dominic Cleal

If anybody is able to test this patch and provide feedback, it'd be much appreciated. It adds a single file into the Foreman install, then restart
Foreman/httpd and see if you can reproduce the issue.

https://github.com/theforeman/foreman/pull/1007

#20 - 11/07/2013 12:44 PM - Xavier ROUX

| tested this patch and it solves my problem.
Thanks you.

#21 - 11/08/2013 07:03 PM - Anne Hopkins

Resolved issue for me as well. Thanks Dominic!
https://github.com/theforeman/foreman/pull/1007

#22 - 11/11/2013 08:49 AM - Dominic Cleal

- Has duplicate Bug #3612: Editing host after an compute associate ends in an oops added

#23 - 11/12/2013 12:04 PM - Dominic Cleal
- Target version changed from 1.15.0 to 1.10.0

#24 - 11/20/2013 02:47 PM - Dominic Cleal

- translation missing: en.field_release set to 3

#25 - 11/20/2013 03:31 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 58547fc6413965e8491d72eb308e95caa3952dff.

#26 - 12/09/2014 04:30 AM - Dominic Cleal
- Related to Bug #8619: undefined method ‘stringify_keys' for #<RbVmomi::VIM ..> added

#27 - 04/30/2015 10:37 AM - Dominic Cleal

- Related to Bug #10336: foreman-rake prints "Workaround for RbVmomi may not work as ComputeResource is already loaded:
#{ComputeResource}" added

Files

ui_foreman_host_new.png 43.8 KB 06/19/2013 Lucas E Holm
production.log 88.9 KB 06/19/2013 Lucas E Holm
foreman-install.log 5.41 KB 06/19/2013 Lucas E Holm
production_after_patch.log 23.3 KB 06/19/2013 Lucas E Holm
tmp-log.txt 3.18 KB 06/19/2013 Lucas E Holm
1-new_compute_resource.PNG 27 KB 07/15/2013 Ben Fairless
2-vsphere_instance_list. PNG 15 KB 07/15/2013 Ben Fairless
3-new_host.PNG 38.9 KB 07/15/2013 Ben Fairless
4-virtual_machine_error.PNG 10.1 KB 07/15/2013 Ben Fairless
5-esxi_host_instance_list.PNG 51.2 KB 07/15/2013 Ben Fairless
foreman-debug-MX9bY .tar.xz 68.3 KB 11/06/2013 Xavier ROUX
